body {
  margin: 0;
  font-family: Arial;
}

/* Navbar */
header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #1b5e20;
  color: white;
  padding: 15px;
}

header input {
  padding: 8px;
  width: 250px;
  border-radius: 5px;
  border: none;
}

nav a {
  margin: 0 10px;
  color: white;
  text-decoration: none;
}

.cart {
  background: orange;
  padding: 5px 10px;
  border-radius: 5px;
}

/* Hero */
.hero {
  text-align: center;
  padding: 100px 20px;
  background: linear-gradient(to right, green, darkgreen);
  color: white;
}

.hero button {
  padding: 12px 25px;
  background: orange;
  border: none;
  cursor: pointer;
}

/* Products */
.products {
  padding: 40px;
  text-align: center;
}

.product-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr); /* 4 products per row */
  gap: 20px;
  padding: 20px;
}


.card {
  width: 100%;
  border-radius: 10px;
  padding: 15px;
  background: #f9f9f9;
  transition: 0.3s;
}

.card:hover {
  transform: scale(1.05);
  box-shadow: 0 5px 15px rgba(0,0,0,0.2);
}

.card img {
  width: 100%;
}

.card button {
  width: 100%;
  padding: 10px;
  background: green;
  color: white;
  border: none;
  cursor: pointer;
}

/* Footer */
footer {
  text-align: center;
  padding: 20px;
  background: black;
  color: white;
}

/* Mobile Responsive */
@media(max-width: 768px) {
  header {
    flex-direction: column;
  }

  header input {
    width: 100%;
    margin: 10px 0;
  }
}
.card {
  position: relative;
  background: white;
  border-radius: 15px;
  padding: 15px;
  width: 220px;
  box-shadow: 0 2px 10px rgba(0,0,0,0.1);
}

/* Discount badge */
.badge {
  position: absolute;
  top: 10px;
  left: 10px;
  background: orange;
  color: white;
  padding: 5px 10px;
  border-radius: 10px;
  font-size: 12px;
}

/* Wishlist */
.wishlist {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 20px;
  cursor: pointer;
}

/* Image */
.card img {
  width: 100%;
  height: 150px;
  object-fit: contain;
}

/* Rating */
.rating {
  background: green;
  color: white;
  display: inline-block;
  padding: 3px 8px;
  border-radius: 5px;
  font-size: 12px;
  margin: 5px 0;
}

/* Brand */
.brand {
  color: gray;
  font-size: 12px;
}

/* Price */
.price {
  font-size: 18px;
  font-weight: bold;
}

.old-price {
  text-decoration: line-through;
  color: gray;
  font-size: 14px;
  margin-left: 5px;
}

/* Save */
.save {
  color: green;
  font-size: 13px;
}

/* Size */
.size {
  width: 100%;
  padding: 5px;
  margin: 5px 0;
}

/* Button */
.card button {
  width: 100%;
  padding: 10px;
  background: #1b5e20;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.card {
  position: relative;
  background: white;
  border-radius: 15px;
  padding: 15px;
  width: 220px;
  box-shadow: 0 2px 10px rgba(0,0,0,0.1);
  margin: 35px;
}

/* Discount */
.badge {
  position: absolute;
  top: 10px;
  left: 10px;
  background: orange;
  color: white;
  padding: 5px 10px;
  border-radius: 10px;
  font-size: 12px;
}

/* Wishlist */
.wishlist {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 20px;
  cursor: pointer;
}

/* Image */
.card img {
  width: 100%;
  height: 150px;
  object-fit: contain;
}

/* Rating */
.rating {
  background: green;
  color: white;
  display: inline-block;
  padding: 3px 8px;
  border-radius: 5px;
  font-size: 12px;
  margin: 5px 0;
}

/* Brand */
.brand {
  color: gray;
  font-size: 12px;
}

/* Price */
.price {
  font-size: 18px;
  font-weight: bold;
}

.old-price {
  text-decoration: line-through;
  color: gray;
  font-size: 14px;
  margin-left: 5px;
}

/* Save */
.save {
  color: green;
  font-size: 13px;
}

/* Size */
.size {
  width: 100%;
  padding: 5px;
  margin: 5px 0;
}

/* Button */
.card button {
  width: 100%;
  padding: 10px;
  background: #1b5e20;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.footer {
  background: #1b5e20;
  color: white;
  padding: 40px 20px 0;
}

.footer-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
}

.footer-box h3 {
  margin-bottom: 10px;
}

.footer-box p {
  font-size: 14px;
  color: #ddd;
}

.footer-box a {
  display: block;
  color: #ddd;
  text-decoration: none;
  margin: 5px 0;
  font-size: 14px;
}

.footer-box a:hover {
  color: orange;
}

.footer-bottom {
  text-align: center;
  padding: 15px;
  margin-top: 20px;
  background: #0d3d13;
}

/* Responsive */
@media(max-width: 768px) {
  .footer-container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media(max-width: 480px) {
  .footer-container {
    grid-template-columns: 1fr;
  }
}
.login-box {
  width: 300px;
  margin: 100px auto;
  padding: 20px;
  background: white;
  box-shadow: 0 0 10px rgba(0,0,0,0.2);
  text-align: left;
  border-radius: 10px;
}
.heading{
  text-align: center;
}

.login-box input {
  width: 90%;
  padding: 10px;
  margin: 10px 0;
}

.login-box button {
  width: 100%;
  padding: 10px;
  background: #1b5e20;
  color: white;
  border: none;
  cursor: pointer;
}
.cart-page {
  padding: 40px;
  text-align: center;
}

.cart-item {
  display: flex;
  justify-content: space-between;
  background: #f9f9f9;
  margin: 10px auto;
  padding: 15px;
  width: 60%;
  border-radius: 10px;
}

.cart-item button {
  background: red;
  color: white;
  border: none;
  padding: 5px 10px;
  cursor: pointer;
}
